// UartWinDlg.h : header file
//

#include "afxwin.h"
#if !defined(AFX_UARTWINDLG_H__61EDFE6D_B871_41EE_8C88_0F38FF7B9D30__INCLUDED_)
#define AFX_UARTWINDLG_H__61EDFE6D_B871_41EE_8C88_0F38FF7B9D30__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
#include "Cx900_Lib.h"
/////////////////////////////////////////////////////////////////////////////
// CUartWinDlg dialog
#define   WM_UPDATEPROCESS   WM_USER + 5 

#define FLAG_DOWN_LOADING          101
#define FLAG_CHECKING_DATA         102
#define FLAG_DATA_OK               103
#define FLAG_DATA_ERR              104

class CUartWinDlg : public CDialog
{
// Construction
public:
	CUartWinDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CUartWinDlg)
	enum { IDD = IDD_UARTWIN_DIALOG };
	CComboBox	_ctrlComPort;
	CXHyperLink	m_HomeLink;
	CProgressCtrl	m_progress;
	CString	m_StrWrite;
	CString	m_StrRx;
	CString	m_StrFileNum;
	CString	m_StrVol;
	CString	m_StrIndex;
	//}}AFX_DATA

    
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CUartWinDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;
   
   	CSerialPort       m_Com;
     bool    m_bPortOpen;
     CString m_strRxMsg;
     CString m_strTxMsg;
LRESULT OnUpdateProcess(WPARAM wParam, LPARAM lParam);
	// Generated message map functions
	//{{AFX_MSG(CUartWinDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnBtnOpen();
	afx_msg void OnBtnSend();
	afx_msg void OnBTNSendFile();
	afx_msg LONG OnComm(WPARAM ch,LPARAM port);
	afx_msg void OnBtnCloss();
	afx_msg void OnBTNClr();
	afx_msg void OnBtnPly();
	afx_msg void OnBtnVol();
	afx_msg void OnBtnFormal();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	bool GetFile(char** buf,DWORD *len);
	BYTE sum(char* buf,int len);

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_UARTWINDLG_H__61EDFE6D_B871_41EE_8C88_0F38FF7B9D30__INCLUDED_)
